# Njord

Welcome to Njord. I needed a gem to help me with some common docker and kubernetes tasks so here it is.

## Installation

Add this line to your application's Gemfile, preferably in the test/development section:

```ruby
gem 'njord'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install njord

## Usage

Njord needs a config file in the directory you want to execute it.

Just create `.njord.yml` with the content:
```yaml
images:
  - image_name: njord/image1
    docker_repo: hub.docker.com
    dockerfile: Dockerfile
    tagging: git
  - image_name: njord/image2
    docker_repo: hub.docker.com
    dockerfile: Dockerfile-Http
    tagging: git
    build_args:
      - ENV1
      - ARG2
```

You can currently use the command `$ njord build`, `$ njord push`. I plan to integrate some k8s commands as well.  
The option `tagging` can currently only be `git`. I will add `sem-ver` soon, to enable semantic versioning without user input.

The finished state of Njord should make a workflow possible, that handles building, tagging, pushing, deploying, rolling back and getting logs. 

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/DTrierweiler/njord.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
